Index: trunk/prototype/modules/calendar/interceptors/Notifications.php
===================================================================
--- trunk/prototype/modules/calendar/interceptors/Notifications.php	(revision 7174)
+++ trunk/prototype/modules/calendar/interceptors/Notifications.php	(revision 7350)
@@ -275,5 +275,5 @@
 	$data = array_merge($data, $delegatedParams);
 
-	self::sendMail($data, $ical, $part['user']['mail'], $subject, 'notify_response_delegated_status_body');
+	self::sendMail($data, $ical, $part['user']['mail'], $subject, $schedulable['type'] == '1' ? 'notify_response_delegated_status_body' : 'notify_response_delegated_status_body_task');
     }
 
@@ -296,5 +296,5 @@
 
 	    if ($schedulable['allDay'])
-		$schedulable['endTime'] = $schedulable['endTime'] + 86400000;
+		    $schedulable['endTime'] = $schedulable['endTime'] + 86400000;
 	}
 
@@ -365,13 +365,20 @@
      */
     public static function participantCreated(&$partID, &$schedulable, $type = false, $delegatedParams = false, $organizer = false) {
-	$method = 'REQUEST';
-	$notificationType = 'Convite de Calendario';
-	$part = 'attendees';
-	self::mountStruture($partID, $schedulable, $type, $data, $subject, $ical, $part, $method, $notificationType, true);
-
-	if ($delegatedParams)
-	    $data = array_merge($data, $delegatedParams);
-
-	self::sendMail($data, $ical, $part['user']['mail'], $subject, !$delegatedParams ? 'notify_create_body' : 'notify_create_delegated_body', $organizer);
+        $method = 'REQUEST';
+        $notificationType = 'Convite de Calendario';
+        $part = 'attendees';
+
+        if($schedulable['type'] == '2'){
+            $template = !$delegatedParams ? 'notify_create_body_task' : 'notify_create_delegated_body_task';
+        }else{
+            $template = !$delegatedParams ? 'notify_create_body' : 'notify_create_delegated_body';
+        }
+
+        self::mountStruture($partID, $schedulable, $type, $data, $subject, $ical, $part, $method, $notificationType, true);
+
+        if ($delegatedParams)
+            $data = array_merge($data, $delegatedParams);
+
+        self::sendMail($data, $ical, $part['user']['mail'], $subject, $template, $organizer);
     }
 
@@ -395,18 +402,18 @@
 	if ($delegatedParams) {
 	    $data = array_merge($data, $delegatedParams);
-	    $tplDelegated = 'notify_delegated_status_body';
+	    $tplDelegated = $schedulable['type'] == '1' ? 'notify_delegated_status_body' : 'notify_delegated_status_body_task';
 	}
 
 	switch ($type) {
 	    case STATUS_ACCEPTED:
-		$tpl = !$delegatedParams ? 'notify_accept_body' : $tplDelegated;
+		$tpl = $delegatedParams ? $tplDelegated : ($schedulable['type'] == '1' ? 'notify_accept_body' : 'notify_accept_body_task');
 		$subject['notificationType'] = 'Convite Aceito';
 		break;
 	    case STATUS_TENTATIVE:
-		$tpl = !$delegatedParams ? 'notify_attempt_body' : $tplDelegated;
+		$tpl = $delegatedParams ? $tplDelegated :($schedulable['type'] == '1' ? 'notify_attempt_body' : 'notify_attempt_body_task');
 		$subject['notificationType'] = 'Convite  aceito provisoriamente';
 		break;
 	    case STATUS_CANCELLED:
-		$tpl = !$delegatedParams ? 'notify_reject_body' : $tplDelegated;
+		$tpl = $delegatedParams ? $tplDelegated :($schedulable['type'] == '1' ? 'notify_reject_body' : 'notify_reject_body_task');
 		$subject['notificationType'] = 'Convite rejeitado';
 		break;
@@ -414,5 +421,5 @@
 		if ($delegatedParams)
 		    $data = array_merge($data, $delegatedParams);
-		$tpl = 'notify_delegated_body';
+		$tpl = $schedulable['type'] == '1' ? 'notify_delegated_body' : 'notify_delegated_body_task';
 		$subject['notificationType'] = 'Convite delegado';
 		break;
@@ -534,5 +541,5 @@
 
             if (isset($part) && $part && count($part) > 0)
-                self::sendMail($data, $ical, implode(',', $part), $subject, 'notify_modify_body', $from);
+                self::sendMail($data, $ical, implode(',', $part), $subject, $schedulableOld['type'] == '1' ?  'notify_modify_body' : 'notify_modify_body_task', $from);
         }
     }
Index: trunk/prototype/modules/calendar/templates/notify_create_delegated_body_task.tpl
===================================================================
--- trunk/prototype/modules/calendar/templates/notify_create_delegated_body_task.tpl	(revision 7350)
+++ trunk/prototype/modules/calendar/templates/notify_create_delegated_body_task.tpl	(revision 7350)
@@ -0,0 +1,5 @@
+<br />Você foi convidado por [delegatedFrom] para participar em seu lugar ns tarefa agendada para [startDate].<br /><br />
+<strong>[eventTitle]</strong><br />
+<strong>Início:</strong> [startDate] [startTime]<br />
+<strong>Previsão de término:</strong> [endDate] [endTime]<br />
+<strong>Participantes:</strong> [participants]
Index: trunk/prototype/modules/calendar/templates/notify_reject_body_task.tpl
===================================================================
--- trunk/prototype/modules/calendar/templates/notify_reject_body_task.tpl	(revision 7350)
+++ trunk/prototype/modules/calendar/templates/notify_reject_body_task.tpl	(revision 7350)
@@ -0,0 +1,4 @@
+<br />[participant] rejeitou o seu convite da tarefa agendado para [startDate].<br /><br />
+<strong>[eventTitle]</strong><br />
+<strong>Início:</strong> [startDate] [startTime]<br />
+<strong>Previsão de término:</strong> [endDate] [endTime]<br />
Index: trunk/prototype/modules/calendar/templates/notify_delegated_body_task.tpl
===================================================================
--- trunk/prototype/modules/calendar/templates/notify_delegated_body_task.tpl	(revision 7350)
+++ trunk/prototype/modules/calendar/templates/notify_delegated_body_task.tpl	(revision 7350)
@@ -0,0 +1,4 @@
+<br />[participant] delegou sua participação para [delegated] na tarefa agendada para [startDate].<br /><br />
+<strong>[eventTitle]</strong><br />
+<strong>Início:</strong> [startDate] [startTime]<br />
+<strong>Previsão de término:</strong> [endDate] [endTime]<br />
Index: trunk/prototype/modules/calendar/templates/notify_attempt_body_task.tpl
===================================================================
--- trunk/prototype/modules/calendar/templates/notify_attempt_body_task.tpl	(revision 7350)
+++ trunk/prototype/modules/calendar/templates/notify_attempt_body_task.tpl	(revision 7350)
@@ -0,0 +1,4 @@
+<br />[participant] talvez compareça na tarefa agendada para [startDate].<br /><br />
+<strong>[eventTitle]</strong><br />
+<strong>Início:</strong> [startDate] [startTime]<br />
+<strong>Previsão de término:</strong> [endDate] [endTime]<br />
Index: trunk/prototype/modules/calendar/templates/notify_delegated_status_body_task.tpl
===================================================================
--- trunk/prototype/modules/calendar/templates/notify_delegated_status_body_task.tpl	(revision 7350)
+++ trunk/prototype/modules/calendar/templates/notify_delegated_status_body_task.tpl	(revision 7350)
@@ -0,0 +1,4 @@
+<br />[delegated] [status] a delegação de partipação de [participant] para a tarefa agendada para [startDate].<br /><br />
+<strong>[eventTitle]</strong><br />
+<strong>Início:</strong> [startDate] [startTime]<br />
+<strong>Previsão de término:</strong> [endDate] [endTime]<br />
Index: trunk/prototype/modules/calendar/templates/notify_modify_body_task.tpl
===================================================================
--- trunk/prototype/modules/calendar/templates/notify_modify_body_task.tpl	(revision 7350)
+++ trunk/prototype/modules/calendar/templates/notify_modify_body_task.tpl	(revision 7350)
@@ -0,0 +1,4 @@
+<br />Sua tarefa agendada para [startDate] foi modificada.<br /><br /><strong>[eventTitle]</strong><br />
+<strong>Início:</strong> [startDate] [startTime]<br />
+<strong>Previsão de término:</strong> [endDate] [endTime]<br />
+<strong>Participantes:</strong> [participants]
Index: trunk/prototype/modules/calendar/templates/notify_accept_body_task.tpl
===================================================================
--- trunk/prototype/modules/calendar/templates/notify_accept_body_task.tpl	(revision 7350)
+++ trunk/prototype/modules/calendar/templates/notify_accept_body_task.tpl	(revision 7350)
@@ -0,0 +1,4 @@
+<br />[participant] aceitou o seu convite da tarefa agendada para [startDate].<br /><br />
+<strong>[eventTitle]</strong><br />
+<strong>Início:</strong> [startDate] [startTime]<br />
+<strong>Previsão de término:</strong> [endDate] [endTime]<br />
Index: trunk/prototype/modules/calendar/templates/notify_response_delegated_status_body_task.tpl
===================================================================
--- trunk/prototype/modules/calendar/templates/notify_response_delegated_status_body_task.tpl	(revision 7350)
+++ trunk/prototype/modules/calendar/templates/notify_response_delegated_status_body_task.tpl	(revision 7350)
@@ -0,0 +1,4 @@
+<br />[delegated] [status] participar em seu lugar na tarefa agendada para [startDate].<br /><br />
+<strong>[eventTitle]</strong><br />
+<strong>Início:</strong> [startDate] [startTime]<br />
+<strong>Previsão de término:</strong> [endDate] [endTime]<br />
Index: trunk/prototype/modules/calendar/templates/notify_create_body_task.tpl
===================================================================
--- trunk/prototype/modules/calendar/templates/notify_create_body_task.tpl	(revision 7350)
+++ trunk/prototype/modules/calendar/templates/notify_create_body_task.tpl	(revision 7350)
@@ -0,0 +1,5 @@
+<br />Você foi convidado para uma tarefa agendada para [startDate].<br /><br />
+<strong>[eventTitle]</strong><br />
+<strong>Início:</strong> [startDate] [startTime]<br />
+<strong>Previsão de término:</strong> [endDate] [endTime]<br />
+<strong>Participantes:</strong> [participants]
Index: trunk/prototype/modules/calendar/templates/participants_add_itemlist.ejs
===================================================================
--- trunk/prototype/modules/calendar/templates/participants_add_itemlist.ejs	(revision 6996)
+++ trunk/prototype/modules/calendar/templates/participants_add_itemlist.ejs	(revision 7350)
@@ -8,5 +8,5 @@
 				<a class="button edit attendee-options-button-edit new">Editar permissões</a>
 			<%}%>
-			<a class="button close new">Close</a>
+			<a class="button close new">Remover</a>
 		</div>
 		