Index: sandbox/2.5.0-expresso1/prototype/services/ImapServiceAdapter.php
===================================================================
--- sandbox/2.5.0-expresso1/prototype/services/ImapServiceAdapter.php	(revision 7044)
+++ sandbox/2.5.0-expresso1/prototype/services/ImapServiceAdapter.php	(revision 7401)
@@ -611,4 +611,5 @@
 				$mailService->addHeaderField('Message-Id', UUID::generate( UUID::UUID_RANDOM, UUID::FMT_STRING ) . '@Draft');
                 $mailService->addHeaderField('Reply-To', mb_convert_encoding(($data['input_reply_to']), 'ISO-8859-1', 'UTF-8,ISO-8859-1'));
+                $mailService->addHeaderField('Date', date("d-M-Y H:i:s"));
 				$mailService->addTo(mb_convert_encoding(($data['input_to']), 'ISO-8859-1', 'UTF-8,ISO-8859-1')); 
 				$mailService->addCc( mb_convert_encoding(($data['input_cc']), 'ISO-8859-1', 'UTF-8,ISO-8859-1')); 
Index: sandbox/2.5.0-expresso1/expressoMail1_2/inc/class.imap_functions.inc.php
===================================================================
--- sandbox/2.5.0-expresso1/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 7352)
+++ sandbox/2.5.0-expresso1/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 7401)
@@ -3135,4 +3135,6 @@
 
 
+            $mailService->addHeaderField('Date', date("d-M-Y H:i:s"));
+
             if ($folder != 'null') {
                 $mbox_stream = $this->open_mbox($folder);
Index: sandbox/2.5.0-expresso1/expressoMail1_2/inc/class.exporteml.inc.php
===================================================================
--- sandbox/2.5.0-expresso1/expressoMail1_2/inc/class.exporteml.inc.php	(revision 7262)
+++ sandbox/2.5.0-expresso1/expressoMail1_2/inc/class.exporteml.inc.php	(revision 7401)
@@ -576,4 +576,8 @@
 		imap_close($this->mbox_stream);
 		
+		if(!strpos($header,"Date: ")){
+			$header = "Date: " . date("d-M-Y H:i:s") . "\r\n" .$header ;
+		}
+
 		$input = $header . "\r\n\r\n" . $body;
 		$input = preg_replace('/\x1d/', '', $input); //remove special char control detected (hex 1D)
Index: sandbox/2.5.0-expresso1/expressoMail1_2/js/draw_api.js
===================================================================
--- sandbox/2.5.0-expresso1/expressoMail1_2/js/draw_api.js	(revision 7376)
+++ sandbox/2.5.0-expresso1/expressoMail1_2/js/draw_api.js	(revision 7401)
@@ -2049,5 +2049,5 @@
 		else
 		{
-			td_element4.innerHTML += headers_msgs.subject + "<span style=\"color:#b3b3b3;\">  " + tr_element.msg_sample + "</span>";//modificacao feita para exibir o trecho do body ao lado do assunto da mensagem;
+			td_element4.innerHTML += ($.trim(headers_msgs.subject) == "" ? "("+get_lang("No Subject")+")" : headers_msgs.subject) + "<span style=\"color:#b3b3b3;\">  " + tr_element.msg_sample + "</span>";//modificacao feita para exibir o trecho do body ao lado do assunto da mensagem;
 		}
 
@@ -2599,12 +2599,14 @@
 	var _maxChar = menuHidden ? 40 : 15;
 
-	if (info_msg.from.name)
-	{
-		var spanName = document.createElement("SPAN");
-			spanName.innerHTML = info_msg.from.name;
-		_name = spanName.innerHTML.length > _maxChar ? spanName.innerHTML.substring(0,_maxChar) + "..." : spanName.innerHTML;
-	}
-	else
-		_name = info_msg.from.email.length > _maxChar ? info_msg.from.email.substring(0,_maxChar) + "..." : info_msg.from.email;
+    if(info_msg.from){
+    	if (info_msg.from.name)
+    	{
+    		var spanName = document.createElement("SPAN");
+    			spanName.innerHTML = info_msg.from.name;
+    		_name = spanName.innerHTML.length > _maxChar ? spanName.innerHTML.substring(0,_maxChar) + "..." : spanName.innerHTML;
+    	}
+    	else
+    		_name = info_msg.from.email.length > _maxChar ? info_msg.from.email.substring(0,_maxChar) + "..." : info_msg.from.email;
+    }
 
 	td.innerHTML = _name.bold() + ', ' + info_msg.smalldate;
@@ -3171,8 +3173,10 @@
 	var tr1 = document.createElement("TR");
 	tr1.className = "tr_message_header";
-	var td1 = document.createElement("TD");
-	td1.innerHTML = get_lang("From: ");
-	td1.appendChild(deny_email(info_msg.from.email));
-	td1.width = "7%";
+    if(info_msg.from){
+    	var td1 = document.createElement("TD");
+    	td1.innerHTML = get_lang("From: ");
+    	td1.appendChild(deny_email(info_msg.from.email));
+    	td1.width = "7%";
+    }
 
 	if (info_msg.sender){
@@ -3199,5 +3203,7 @@
 	var from = document.createElement("TD");
 	from.id = "from_"+ID;
-	from.innerHTML = info_msg.from.full;
+    if(info_msg.from){
+	   from.innerHTML = info_msg.from.full;
+    }
 	if (info_msg.Draft != "X"){
 		from.innerHTML += draw_plugin_cc(ID, info_msg.from);
@@ -3208,5 +3214,7 @@
 	from_values.id = "from_values_"+ID;
 	from_values.type = "HIDDEN";
-	from_values.value = info_msg.from.full; //Veio do IMAP, sem images nem links.
+    if(info_msg.from){
+    	from_values.value = info_msg.from.full; //Veio do IMAP, sem images nem links.
+    }
 
 	var local_message = document.createElement("INPUT");
@@ -3216,5 +3224,7 @@
 	local_message.value = (info_msg.local_message)?"1":"0";
 
-	tr1.appendChild(td1);
+    if(info_msg.from){
+	   tr1.appendChild(td1);
+    }
 	tr1.appendChild(from);
 	tr1.appendChild(from_values);