Index: sandbox/2.5.0-expresso1/expressoMail1_2/js/mail_archiver.js
===================================================================
--- sandbox/2.5.0-expresso1/expressoMail1_2/js/mail_archiver.js	(revision 7409)
+++ sandbox/2.5.0-expresso1/expressoMail1_2/js/mail_archiver.js	(revision 7411)
@@ -170,7 +170,5 @@
     this.session = null;
     this.selectedfolder = null;
-    //Marcosw inicio - criado array para guardar todas mensagens de determinada pasta
     this.allmessagesbyfolder = new Array();
-    //Marcosw fim
 }
 
@@ -427,8 +425,5 @@
                 
                 if(destination_folder.substr(0,5) == 'local'){
-                    //Marcosw inicio - correção para arquivar mensagens a subpastas locais.
-                    //expresso_mail_archive.folder_destination = destination_folder.substr(6,destination_folder.length);
                     expresso_mail_archive.folder_destination = destination_folder.replace("local_messages_","");
-                    //Marcosw fim
                 }
                 else{
@@ -529,17 +524,10 @@
     expresso_mail_archive.messages_processed++;
     if(expresso_mail_archive.message_list.length > 1){
-
-       //Marcosw inicio - Adicionado mensagem informando progresso de arquivamento
        write_msg(get_lang("Message %1 of %2 successfully archived", expresso_mail_archive.messages_processed, expresso_mail_archive.total_messages));
-       //Marcosw fim
-       
        expresso_mail_archive.message_list.shift();
        expresso_mail_archive.Archive(expresso_mail_archive.folder_origin, expresso_mail_archive.folder_destination, expresso_mail_archive.message_list);
     }
     else{
-        //Marcosw inicio - Melhoria na exibição de mensagem
-        //document.getElementById('main_title').innerHTML = get_lang("All done. End of archive messages operation");
         write_msg(get_lang("All done. End of archive messages operation"));
-        //Marcosw fim
         expresso_mail_archive.resetObject();
         expresso_mail_archive.archivefolder = null;
@@ -596,8 +584,5 @@
 MailArchiver.prototype.unarchieve = function (folder, new_folder, msgs_number){
     try{ 
-        //Marcosw inicio - Melhoria na exibição de mensagem
-        //document.getElementById('main_title').innerHTML = get_lang("Starting to unarchive messages");
         write_msg(get_lang("Starting to unarchive messages"));
-        //Marcosw fim
         if(currentTab.toString().indexOf("_r") != -1){
             msgs_number = currentTab.toString().substr(0,currentTab.toString().indexOf("_r"));
@@ -613,10 +598,5 @@
                 expresso_mail_archive.unarchivecounter = 0;
                 expresso_mail_archive.unarchive_error_counter=0;
-
-                //Marcosw início - correção de inconsistência com o nome da pasta local
-                //expresso_mail_archive.getFolderInfo(folder.substr(6, folder.length));
                 expresso_mail_archive.getFolderInfo(folder.replace("local_messages_",""));
-                //Marcosw fim
-
                 expresso_mail_archive.unarchievefolder = expresso_mail_archive.folder.name;
                 (new_folder != null)?expresso_mail_archive.unarchievenewfolder = new_folder:expresso_mail_archive.unarchievenewfolder='INBOX';
@@ -624,9 +604,7 @@
                 expresso_mail_archive.unarchieveHandler();
                 
-                //Marcos Início - É preciso remover a aba da mensagem
                 if(currentTab.toString().indexOf("_r") != -1){
                     delete_border(currentTab,'false');  
                 }
-                //Marcos Fim 
             }
             else{
@@ -694,7 +672,5 @@
                     //Flagged tag
                     if(expresso_mail_archive.messageslisted[w]["Flagged"])
-                        //Marcosw inicio - alterado o valor de Flagged de 'true' para 'F', para evitar inconsistencia
                         if(expresso_mail_archive.messageslisted[w]["Flagged"] == 'F')
-                        //Marcosw fim
                             flags += 'F'+':';                                        
                         else
@@ -731,17 +707,10 @@
                 expresso_mail_archive.unarchieveController(data);
             }
-            //Marcosw inicio - Melhoria na exibição de mensagem
-            //document.getElementById('main_title').innerHTML = get_lang('Unarchiving message %1 of %2', (expresso_mail_archive.unarchivecounter + 1), expresso_mail_archive.message_list.length);
             write_msg(get_lang('Unarchiving message %1 of %2', (expresso_mail_archive.unarchivecounter + 1), expresso_mail_archive.message_list.length));
-            //Marcosw fim
-            
             cExecute ("$this.imap_functions.unarchive_mail&", handler_unarchive, params);
 
         }
         
-        //Marcosw inicio - Melhoria na exibição de mensagem
-        //document.getElementById('main_title').innerHTML = get_lang('Opening message %1 to unarchive', (expresso_mail_archive.unarchivecounter + 1));
         write_msg(get_lang('Opening message %1 to unarchive', (expresso_mail_archive.unarchivecounter + 1)));
-        //Marcosw fim
     
         UnarchiveReqHandler.handler.open("GET", email, true);
@@ -790,16 +759,8 @@
         {    
             if (expresso_mail_archive.message_list.length==1){
-                //Marcosw inicio - melhoria na exibição da mensagem
-                //document.getElementById('main_title').innerHTML = get_lang('Message successfully unarchived');
-                //window.setTimeout("eval('document.getElementById(\"main_title\").innerHTML =\"Expresso Mail\"')",3000);  
                 write_msg(get_lang('Message successfully unarchived'));
-                //Marcosw fim
             }
             else{
-                //Marcosw inicio - melhoria na exibição da mensagem
-                //document.getElementById('main_title').innerHTML = get_lang('Messages successfully unarchived');
-                //window.setTimeout("eval('document.getElementById(\"main_title\").innerHTML =\"Expresso Mail\"')",3000);  
                 write_msg(get_lang('Messages successfully unarchived'));
-                //Marcosw fim
             }
         }
@@ -807,24 +768,12 @@
         {
             if (expresso_mail_archive.message_list.length==1){
-                //Marcosw inicio - melhoria na exibição da mensagem
                 write_msg(get_lang("Coudn't unarchive message"));
-                //document.getElementById('main_title').innerHTML = get_lang("Coudn't unarchive message");
-                //window.setTimeout("eval('document.getElementById(\"main_title\").innerHTML =\"Expresso Mail\"')",3000);  
-                //Marcosw fim
             }
             else if (expresso_mail_archive.unarchive_error_counter == expresso_mail_archive.message_list.length)
             {
-                //Marcosw inicio - melhoria na exibição da mensagem
                 write_msg(get_lang('No messages were unarchived'));
-                //document.getElementById('main_title').innerHTML = get_lang("No messages were unarchived");
-                //window.setTimeout("eval('document.getElementById(\"main_title\").innerHTML =\"Expresso Mail\"')",3000);
-                //Marcosw fim
             }
             else{
-                //Marcosw inicio - melhoria na exibição da mensagem
                 write_msg(get_lang("Some messages weren't successfully unarchived"));
-                //document.getElementById('main_title').innerHTML = get_lang("Some messages weren't successfully unarchived");
-                //window.setTimeout("eval('document.getElementById(\"main_title\").innerHTML =\"Expresso Mail\"')",3000);  
-                //Marcosw fim
             }
                 
@@ -888,28 +837,8 @@
     expresso_mail_archive.message_list = new Array();
 
-    //Marcosw início - É preciso alterar o valor do currentfolder para que a página seja recarregada corretamente.
     expresso_mail_archive.currentfolder = folder.replace("local_messages_","");
-    //Marcosw fim
 
     expresso_mail_archive.listMessages(expresso_mail_archive.currentfolder);
 
-    //Marcosw inicio - objeto tree_folders teve de ser comentado por gera inconsistência, não é mais utilizado
-    //tree_folders.getNodeById('local_trash')._select();    
-    //Marcosw fim
-
-    /*connector.purgeCache();
-    ttreeBox.name_folder = "local_" + expresso_mail_archive.currentfolder;
-    //draw_tree_local_folders();
-    ttreeBox.update_folder(true);
-    expresso_mail_archive.listMessages();    
-    
-    //window.alert('logo depois: msglist.lengtht = ' + expresso_mail_archive.message_list.length);
-    if(expresso_mail_archive.message_list.length > 1){
-        write_msg(get_lang("The messages were deleted."));
-    }else{
-        write_msg(get_lang("The message was deleted."));
-    } 
-    */
-   
     // This is necessary 'couse we can get a delete operation while an unarchive operation
     // is still executing
@@ -948,8 +877,5 @@
 MailArchiver.prototype.moveMessages = function(folder, msgs_number){    
     try{
-        //Marcos inicio - melhoria na exibição da mensagem
-        //document.getElementById('main_title').innerHTML = get_lang("Starting to move messages");
         write_msg(get_lang("Starting to move messages"));
-        //Marcosw fim
 
         expresso_mail_archive.CreateMessageList(msgs_number);
@@ -971,19 +897,8 @@
 
 MailArchiver.prototype.moveMessagesHandler = function(){
-    //Marcosw iní­cio - código foi comentado pois causava inconsistencias.
-    // if((ttreeBox.name_folder != null) && (ttreeBox.name_folder != '') && (ttreeBox.name_folder.length >0)){
-    //     expresso_mail_archive.currentfolder = ttreeBox.name_folder.substr(6, ttreeBox.name_folder.length);
-    // } 
-    //Marcosw fim
-    
-    //Marcosw inicio - adicionado código atualizar a folder corretamente
     expresso_mail_archive.currentfolder = folder.substr(6, folder.length);
-    //Marcosw fim
 
     if((expresso_mail_archive.message_list.length > 0) && (expresso_mail_archive.message_list[0] != '')) {
-        //Marcosw inicio - Melhoria na exibição da mensagem
-        //document.getElementById('main_title').innerHTML = get_lang('Moving message %1 of %2', expresso_mail_archive.messages_processed, expresso_mail_archive.total_messages);
         write_msg(get_lang('Moving message %1 of %2', expresso_mail_archive.messages_processed, expresso_mail_archive.total_messages));
-        //Marcosw fim
         ArchiveServices.moveMessages(expresso_mail_archive.moveMessagesOperationOK, 
                                      expresso_mail_archive.moveMessagesOperationFailure,
@@ -1012,9 +927,5 @@
     }
     else{
-        //Marcosw inicio - Melhoria na exibição de mensagem
-        //document.getElementById('main_title').innerHTML = get_lang("All done. Message(s) moved successfully");
-        //window.setTimeout("eval('document.getElementById(\"main_title\").innerHTML =\"Expresso Mail\"')",3000);
         write_msg(get_lang("All done. Message(s) moved successfully"));
-        //Marcosw fim
         
         //Tag messages moved
@@ -1040,12 +951,4 @@
         expresso_mail_archive.listMessages(expresso_mail_archive.currentfolder); 
               
-        //Marcosw inÃ­cio - código foi comentado pois causava inconsistencias.
-        // if(expresso_mail_archive.currentfolder.substr(0,6) == 'local_'){
-        //     ttreeBox.name_folder = expresso_mail_archive.currentfolder;
-        // }
-        // else{
-        //     ttreeBox.name_folder = "local_" + expresso_mail_archive.currentfolder;
-        // }
-        //ttreeBox.update_folder(true);
         expresso_mail_archive.resetObject();
     }
@@ -1455,5 +1358,4 @@
             msg_unseen_count++;
       
-        // fernando
         // correÃ§Ã£o para por no padrao certo, se nao fizer isso buga a listagem
         msgitem_temp = msgitem.msg_sample;
@@ -1483,5 +1385,4 @@
     //expresso_mail_archive.drawMessagesList(returnService.getReturn().length, msg_unseen_count);
     //expresso_mail_archive.drawMessagesList(msglist["num_msgs"], msg_unseen_count);
-    //add by fernando: desenha a lista de mensagens no expressomail
     expresso_mail_archive.drawMessagesList(msglist["num_msgs"], msglist['tot_unseen']);
     connector.hideProgressBar();
@@ -1493,5 +1394,4 @@
 }
 
-//Marcosw inicio - criado métodos para retornar todos os ids de mensagens por folder
 //List all messages by folder given and set a array with all messages ids
 MailArchiver.prototype.listAllMessagesByFolder = function(folderid){
@@ -1505,5 +1405,5 @@
 }
 
-//listAllMessages callback OK
+//listAllMessagesByFolder callback OK
 MailArchiver.prototype.listAllMessagesByFolderOperationOK = function(returnService){
     var msglist = new Array();
@@ -1514,9 +1414,8 @@
 }
 
-//listAllMessages callback Fail
+//listAllMessagesByFolder callback Fail
 MailArchiver.prototype.listAllMessagesByFolderOperationFailure = function(ServiceFault){
     window.alert('listAllmessagesByFolder FALHOU!\n' + ServiceFault.getReturn());
 }
-//Marcosw fim
 
 MailArchiver.prototype.getFolderMessagesNumber = function(){
@@ -1557,8 +1456,4 @@
     //window.alert('num = ' + folder_num_msgs);
 
-    //Marcosw início - Inserido comentário no código pois fazia com que se removesse a aba de listagem de emails
-    //alternate_border(0);
-    //Marcosw fim
-    
     Element("border_id_0").innerHTML = "&nbsp;" + lang_folder(fcaption) + '&nbsp;<font face="Verdana" size="1" color="#505050">[<span id="new_m">&nbsp;</span> / <span id="tot_m"></span>]</font>';
     draw_box(data_to_draw, 'local_' + expresso_mail_archive.currentfolder, true);
@@ -1567,7 +1462,5 @@
     draw_paging(folder_num_msgs);    
     if(((msgtot) && (msgunseen)) || ((parseInt(msgtot)==0)&&(parseInt(msgunseen)==0))){
-        //volta aqui
         Element('new_m').innerHTML = '<font color="RED">'+$(".tr_msg_unread").length+'</font>';
-        //expresso_mail_archive.updateCounter(msgtot, $(".tr_msg_unread").length);
     }
     else{